/* conf.h - Config file reader
 * Copyright 2000-2002 srvx Development Team
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: conf.h,v 1.9.4.1.2.3 2002/04/30 17:26:34 entrope Exp $
 */

#ifndef CONF_H
#define CONF_H

#include "dict.h"
#include "recdb.h"

int conf_read(const char *conf_file_name);
void conf_close(void);

const char *conf_network_name(void);
const char *conf_server_name(void);
const char *conf_server_desc(void);
int conf_server_num(void);
int conf_server_ping_freq(void);
int conf_server_ping_timeout(void);

typedef void (*conf_reload_func)(void);
void conf_register_reload(conf_reload_func crf);
void conf_call_reload_funcs(void);

void *conf_get_data(const char *full_path, enum recdb_type type);
struct record_data *conf_get_node(const char *full_path);
const char *conf_enum_root(dict_iterator_f it, void *extra);

#endif
