/* ioset.h - srvx event loop
 * Copyright 2002 srvx Development Team
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: ioset.h,v 1.1.2.2 2002/04/30 17:26:35 entrope Exp $
 */

#if !defined(IOSET_H)
#define IOSET_H

struct io_fd {
    int fd;
    void *data;
    unsigned int send_size, send_used, send_pos;
    unsigned char *send;
    unsigned int connected : 1;
    unsigned int wants_reads : 1;
    void (*connect_cb)(struct io_fd *fd);
    void (*readable_cb)(struct io_fd *fd);
    void (*destroy_cb)(struct io_fd *fd);
};

struct io_fd *ioset_add(int fd);
void ioset_run(void);
void ioset_write(struct io_fd *fd, const char *buf, unsigned int nbw);
void ioset_close(int fd, int os_close);
void ioset_cleanup(void);

#endif /* !defined(IOSET_H) */
