/* messages.h - Common messages
 * Copyright 2000-2001 srvx Development Team
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: messages.h,v 1.15.2.7.2.7 2002/03/31 02:54:11 entrope Exp $
 */

#ifndef _MESSAGES_H_
#define _MESSAGES_H_

/* Bold should be used sparingly, and only to highlight the most important
   pieces of information. As my English teacher says, keep your language
   simple and eliminate the use of the passive voice. For example, "Removed
   all bans." is preferable to "All bans have been removed." Yeah, I'm a
   freak. */

#define CODENAME		"purple"
#define MSG_VERSION		"$bsrvx "VERSION"$b ("CODENAME"), Built: " __DATE__ ", " __TIME__"."

#define MSG_FATAL_ERROR		"Fatal error, aborting.\n"

#define MSG_SERVICE_IMMUNE	"$b%s$b may not be kicked, killed, banned, or deopped."
#define MSG_SERVICE_PRIVILEGED	"$b%s$b is a privileged service."

#define MSG_COMMAND_UNKNOWN	"$b%s$b is an unknown command."
#define MSG_COMMAND_PRIVILEGED	"$b%s$b is a privileged command."
#define MSG_COMMAND_DISABLED	"$b%s$b is a disabled command."
#define MSG_COMMAND_FLOOD      	"Too many commands sent, please wait."

#define MSG_SETTING_PRIVILEGED	"$b%s$b is a privileged setting."

#define MSG_REGISTER_HANDLE    	"You must first register a account with $b$N$b."
#define MSG_AUTHENTICATE       	"You must first authenticate with $b$N$b."
#define MSG_USER_AUTHENTICATE	"%s must first authenticate with $b$N$b."
#define MSG_SET_EMAIL_ADDR      "You must first set your account's email address.  (Contact network staff if you cannot auth to your account.)"

#define MSG_HANDLE_UNKNOWN	"Account $b%s$b has not been registered."
#define MSG_NICK_UNKNOWN	"User with nick $b%s$b does not exist."
#define MSG_CHANNEL_UNKNOWN	"Channel with name $b%s$b does not exist."
#define MSG_SERVER_UNKNOWN      "Server with name $b%s$b does not exist or is not linked."

#define MSG_INVALID_GLINE	"Invalid G-line '%s'."
#define MSG_INVALID_DURATION    "Invalid time span '%s'."

#define MSG_NOT_CHANNEL_NAME    "You must provide a valid channel name."
#define MSG_INVALID_CHANNEL	"You must provide the name of a channel that exists."
#define MSG_CHANNEL_ABSENT	"You aren't currently in $b%s$b."
#define MSG_CHANNEL_USER_ABSENT "$b%s$b isn't currently in $b%s$b."

#define MSG_MISSING_PARAMS	"$b%s$b requires more parameters."

#define MSG_OPER_SUSPENDED	"Your $b$O$b access has been suspended."
#define MSG_USER_OUTRANKED	"$b%s$b outranks you (command has no effect)."

#define MSG_INVALID_CRITERIA	"$b%s$b is an invalid search criteria."
#define MSG_SEARCH_RESULTS	"The following %s matched the criteria of your search:"
#define MSG_MATCH_COUNT		"Found $b%u$b matches."
#define MSG_NO_MATCHES		"Nothing matched the criteria of your search."

#define MSG_TOPIC_UNKNOWN	"No help on that topic."
#define MSG_HELP_ERROR		"Internal help system error."

#define MSG_INVALID_BINARY	"$b%s$b is an invalid binary value."

#define IDENT_FORMAT		"%s [%s@%s/%ld.%ld.%ld.%ld]"
#define IDENT_DATA(user)	user->nick, user->ident, user->hostname, (user->ip >> 24) & 255, (user->ip >> 16) & 255, (user->ip >> 8) & 255, user->ip & 255

#endif /* ifdef _MESSAGES_H_ */
