/* sendmail.h - mail sending utilities
 * Copyright 2002 srvx Development Team
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: sendmail.h,v 1.1.2.3 2002/02/15 17:25:44 entrope Exp $
 */

#if !defined(SENDMAIL_H)
#define SENDMAIL_H

/* These are exported just because OpServ would otherwise need three
 * or so functions to access them.  Yay for not having real modules.
 * email addresses are looked up literally in prohibited_addrs, and
 * compared against globs in prohibited_masks.  Both map from address
 * string/glob to explanation.
 */
extern dict_t prohibited_addrs, prohibited_masks;

void sendmail(struct userNode *from, struct handle_info *to, const char *subject, const char *body, int first_time);
const char *sendmail_prohibited_address(const char *addr);
void sendmail_init(void);

#endif
